# Overview
This charm provides the [Turnip](https://launchpad.net/turnip) service, a flexible and scalable Git server suite written in Python with Twisted and Pyramid.

# Usage

1. Fetch turnip src tarball (where `revno` is bzr revision number):

    $ REV=revno make tarball

2. Deploy

    $ REV=revno make deploy

The deploy target will create a fresh python package cache in files/pip-cache and sets the turnip config variable 'revision' to that specified by REV.

# Todo

 * Refactor to use charmhelpers.core.services
 * Move turnip-access.log to /srv/logs
 * Generate configuration from templates (turnip.conf etc.) with juju
   config vars

# Configuration

## Bzr Revision
Set a revision to deploy with:

    $ juju set turnip revision=revno
    
# Contact Information

Kit Randel <kit.randel@canonical.com>
https://launchpad.net/~blr
