from charmhelpers.core import hookenv
from charmhelpers.core.services import helpers


class TurnipApiRelation(helpers.RelationContext):
    name = 'turnip-api'
    interface = 'turnip-http'

    def provide_data(self):
        config = hookenv.config()
        data = {
            'turnip_api_host': hookenv.unit_private_ip(),
            'turnip_api_port': config['port_api'],
        }
        return data


class TurnipStorageRelation(helpers.RelationContext):
    name = 'data'
    interface = 'block-storage'
    required_keys = ['mountpoint']
